
package net.mcreator.melonsnonsense.fluid;

import net.minecraftforge.fluids.ForgeFlowingFluid;

import net.minecraft.world.level.material.FluidState;
import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.block.state.StateDefinition;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.core.particles.ParticleOptions;

import net.mcreator.melonsnonsense.init.MelonsNonsenseModItems;
import net.mcreator.melonsnonsense.init.MelonsNonsenseModFluids;
import net.mcreator.melonsnonsense.init.MelonsNonsenseModFluidTypes;
import net.mcreator.melonsnonsense.init.MelonsNonsenseModBlocks;

public abstract class SmallusvonliquisFluid extends ForgeFlowingFluid {
	public static final ForgeFlowingFluid.Properties PROPERTIES = new ForgeFlowingFluid.Properties(() -> MelonsNonsenseModFluidTypes.SMALLUSVONLIQUIS_TYPE.get(), () -> MelonsNonsenseModFluids.SMALLUSVONLIQUIS.get(),
			() -> MelonsNonsenseModFluids.FLOWING_SMALLUSVONLIQUIS.get()).explosionResistance(100f).bucket(() -> MelonsNonsenseModItems.SMALLUSVONLIQUIS_BUCKET.get()).block(() -> (LiquidBlock) MelonsNonsenseModBlocks.SMALLUSVONLIQUIS.get());

	private SmallusvonliquisFluid() {
		super(PROPERTIES);
	}

	@Override
	public ParticleOptions getDripParticle() {
		return ParticleTypes.ITEM_SLIME;
	}

	public static class Source extends SmallusvonliquisFluid {
		public int getAmount(FluidState state) {
			return 8;
		}

		public boolean isSource(FluidState state) {
			return true;
		}
	}

	public static class Flowing extends SmallusvonliquisFluid {
		protected void createFluidStateDefinition(StateDefinition.Builder<Fluid, FluidState> builder) {
			super.createFluidStateDefinition(builder);
			builder.add(LEVEL);
		}

		public int getAmount(FluidState state) {
			return state.getValue(LEVEL);
		}

		public boolean isSource(FluidState state) {
			return false;
		}
	}
}
